extends Node2D

var speed = 100
var scene

func _ready() -> void:
	scene = self.get_parent()
	
func _process(delta: float) -> void:
	self.position.y += speed*delta
	
	if self.position.y >= 720:
		scene.comets.erase(self)
		self.queue_free()
